import * as React from "react";
import { IColDef, ITablePlainProps as ITableProps, SortDirection } from "@dccs/react-table-plain";
import { IState } from "./IState";
export declare type OnLoadData = (page: number, rowsPerPage: number, orderBy: string | undefined, sort: SortDirection | undefined, filter: {
    [key: string]: any;
} | undefined) => Promise<{
    total: number;
    data: any[];
}>;
export interface IRenderPagingProps extends IState {
    handleChangePage: (page: number) => void;
    handleChangeRowsPerPage: (rows: number) => void;
}
export interface IDataGridProps {
    colDef: IColDef[];
    initialRowsPerPage?: number;
    initialOrderBy?: string;
    initialSort?: SortDirection;
    onLoadData: OnLoadData;
    disablePaging?: boolean;
    tableTheme?: any;
    onRowClick?: (data: any) => void;
    subComponent?: (data: any) => React.ReactNode;
    renderTable?: (ps: ITableProps) => React.ReactElement;
    renderLoading?: () => React.ReactElement;
    renderError?: (load: () => void) => React.ReactElement;
    renderPaging?: (props: IRenderPagingProps) => React.ReactElement;
    renderHeaderCell?: (col: IColDef, idx: number) => React.ReactNode;
    renderFooterCell?: (col: IColDef, data: any[], idx: number) => React.ReactNode;
    renderFilter?: (col: IColDef, idx: number) => React.ReactNode;
    renderExpansionIndicator?: (expanded: boolean) => React.ReactNode;
    rowProps?: (data: any) => object;
    cellProps?: (data: any) => object;
    ellipsis?: boolean;
    selectedRow?: any | any[];
    onChangeSelectedRow?: (data: any) => void;
    selectedRowProps?: (data: any) => object;
    rowSelectionColumnName?: string;
}
export declare function DataGridPlain(props: IDataGridProps): JSX.Element;
