import * as React from "react";
import { IState } from "./IState";
import { SortDirection } from "@dccs/react-table-plain";
export interface IDataGridStateContext extends IState {
    setTotal: (total: number) => void;
    setPage: (page: number) => void;
    setRowsPerPage: (rpp: number) => void;
    setOrderBy: (orderBy: string) => void;
    setSort: (sort: SortDirection | undefined) => void;
    setFilter: (filter: {
        [key: string]: any;
    } | undefined) => void;
    reload: () => void;
}
export declare const DataGridState: React.Context<IDataGridStateContext | undefined>;
interface IDataGripStateProviderProps {
    children: React.ReactNode;
    initialOrderBy?: string;
    initialSort?: "asc" | "desc";
}
export declare function DataGridStateProvider(props: IDataGripStateProviderProps): JSX.Element;
export {};
