"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSource = function (get, url) { return function (page, rowsPerPage, orderBy, sort, filter) {
    var urlSep = url.indexOf("?") === -1 ? "?" : "&";
    var p = new Promise(function (res, rej) {
        get("" + url + urlSep + "page=" + page + "&count=" + rowsPerPage + (orderBy != null ? "&orderBy=" + orderBy : "") + (sort != null ? "&desc=" + (sort === "desc") : "") + serializeFilter(filter || {}))
            .then(function (resp) { return res({ data: resp.data, total: resp.total }); })
            .catch(rej);
    });
    return p;
}; };
exports.createJsonServerSource = function (get, url) { return function (page, rowsPerPage, orderBy, sort, filter) {
    var urlSep = url.indexOf("?") === -1 ? "?" : "&";
    var p = new Promise(function (res, rej) {
        get("" + url + urlSep + "_page=" + page + "&_limit=" + rowsPerPage + "&{\n        orderBy != null ? \"_sort=\" + orderBy : \"\"\n      }\n      }" + (sort != null ? "&_order=" + sort : "") + "\n      " + serializeFilter(filter || {}))
            .then(function (resp) { return res({ data: resp, total: resp.length }); })
            .catch(rej);
    });
    return p;
}; };
function serializeFilter(filter) {
    var query = "";
    // tslint:disable-next-line:forin
    for (var x in filter) {
        if (filter[x] != null) {
            query += "&" + x + "=" + encodeURIComponent(filter[x]);
        }
    }
    return query;
}
